//------------------------------------------------------------------------------
// Name : smbcommon.h 
// 
// Description: Contains helper code for libccsmb
// 
// Copyright (C) 1999 Corel Corporation 
// 
// This program/binary is licensed under the LGPL license. (See 
// http://www.gnu.org/copyleft/lgpl.html) for details. 
//------------------------------------------------------------------------------

#ifndef __INC_COMMON_H_
#define __INC_COMMON_H_

#include "smbobjtypes.h"
#define __cdecl

#include <stdio.h>
#include <qstring.h>

#include <sys/types.h>

extern QString gMasterBrowser;
extern BOOL gbNetworkAvailable;
extern QString gSmbConfLocation;
extern BOOL gbSmbConfReadonly;

BOOL Match(LPCSTR s, LPCSTR p);
QString ExtractWord(LPCSTR& x, LPCSTR SpaceCharList = "\t ");
QString ExtractTail(LPCSTR& x, LPCSTR SpaceCharList = "\t ");

//QString GetHostName();
//QString GetIPAddress();
//QString GetHomeDir(LPCSTR UserName);
//QString GetGroupName(LPCSTR UserName);

#endif /* __INC_COMMON_H_ */
