#!/bin/sh
#
# set_tzone.sh 
#
# this shell is called from kcmclock to set the Time Zone
#
# One parameter received from kcmclock:
#
# $1 = Time zone name
#
# Return Values:
# 
# 0 = OK
# 1 = Wrong number of parameters
# 2 = command failed

if [ $# != 1 ]
	then exit 1	#Wrong number of parameter
fi

rm /etc/localtime
ln -s /usr/share/zoneinfo/$1 /etc/localtime
res=$?

if [ $? != 0 ]
	then exit 2	#Hummmm, bad conditions...
fi

# all OK ?, Yes ;-)
exit 0
