#ifndef KCMCLOCKDLG_H
#define KCMCLOCKDLG_H

#include <qcheckbox.h>
#include <qdialog.h>

/**
 * Small message box with a "Don't show this next time" check box.
 */
class KChkDlg : public QDialog
{
    Q_OBJECT
public:
    KChkDlg( const char *_text1, const char *_text2,
            QWidget *parent, bool isChecked = false);
    ~KChkDlg(){};
    // To call after the dialog has been shown, to see if the check
    // box is checked or not.
    bool isChecked();

protected:
    QCheckBox *check_box;
};


#endif
